Error
A valid request URL is required to generate request examples{
"comments": "...",
"deviceParams": [
{
"value": "...",
"sysidSwitchDeviceResource": 12345,
"sysidResourceDeviceParam": 12345
},
{
"value": "...",
"sysidSwitchDeviceResource": 12345,
"sysidResourceDeviceParam": 12345
}
],
"sysidResource": 12345,
"sysidResourceDevice": 12345,
"sysidSwitchDevice": 12345
}ResourceService
Get resourcesresourcedevice
Retreives the ResourceDevice for the resource identified by the given resourceId. The requesting User must have one of the following rights to perform this task: Rights Required AuthRuleType.MANAGE_SYSTEM CONDITIONAL AuthRuleType.MANAGE_RESOURCES CONDITIONAL AuthRuleType.MANAGE_RESOURCES_NON_ALLOC CONDITIONAL
The requesting User must have one of the following rights to perform this task:
GET
/
resources
/
resourcedevice
/
{resourceId}
Error
A valid request URL is required to generate request examples{
"comments": "...",
"deviceParams": [
{
"value": "...",
"sysidSwitchDeviceResource": 12345,
"sysidResourceDeviceParam": 12345
},
{
"value": "...",
"sysidSwitchDeviceResource": 12345,
"sysidResourceDeviceParam": 12345
}
],
"sysidResource": 12345,
"sysidResourceDevice": 12345,
"sysidSwitchDevice": 12345
}Path Parameters
: Integer ID of the resource
Response
200 - application/json
ResourceDeviceData returnType com.agilquest.phoenix.shared.data.switchdevice.ResourceDeviceData

